<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/ExhibitorMaster.Master" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="server">

    <div>
        <form id="f1" action="" method="post">
        <table width="100%" cellspacing="0" cellpadding="0" class="table" border="0">
            <thead>
                <tr>
                    <th colspan="6">
                        <br />
                        <h3>
                            <span><b>专属电子票</b></span></h3>
                    </th>
                </tr>
                <tr>
                    <th colspan="6">
                        <div class="dnnTooltip">
                            <label>
                                <span style="font-weight: normal">您也可以在此生成贵公司的专属电子票，邀请您的客户“扫一扫”微信注册，免费参观展会。</span>
                            </label>
                        </div>
                    </th>
                </tr>
            </thead>
            <tfoot>
                <tr>
                    <td colspan="5" style="width:540px">
                        <img src="<%=ViewData["Ticket"] %>" style="width:540px;border:1px solid" />
                        <a href="<%=ViewData["Ticket"] %>"  id="pic1" onclick="savepic();return false;">
                    </a>
                    </td>
                    <td valign="top" >
                        电子票使用说明：<br />
                        1、在线生成专属电子票图片，并另存到本地<br />
                        2、将图片发给贵司负责客户邀请的同事（如：销售部）<br />
                        3、客户收到图片后，仅需使用手机扫一扫二维码，即可预登记注册，免费参观展会<br />
                        4、若点击下列按钮未成功将专属电子票另存为图片，请直接右击左侧邀请函图片并另存为图片。<br /><br />
                        <%--<input type="button" value="专属电子票另存为图片" class="btn btn-success" onclick="savepic();return false;" />--%>
                        <a href="../Download/Down.aspx?Pic=<%=Session["AtrID"] %>" target="_blank" style=" background-color:#4EB0AE;" class="btn btn-success"><span style=" color:White;">专属电子票另存为图片</span> </a>
                    </td>
                </tr>
            </tfoot>
        </table>
        <script type="text/javascript">
            $(function () {
                var message = $("#Message").val();
                if (message != "") {
                    showMsg(message);
                }
            });
        </script>
        <input type="hidden" id="Message" name="Message" value="<%=ViewData["Message"] %>" />
        </form>
    </div>

</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="HeadContent" runat="server">
<link href="<%=FamousFurnitureExpo.Models.Helper.VRoot %>/Scripts/bootstrap.min.css" rel="stylesheet" type="text/css" />
<script type="text/javascript">
    $(document).ready(function () {
        $("#CurrentPosition").html("专属电子票");
        MenuActive(13);
        iframeAutoFit();
    });

    function savepic() {
        if (document.all.a1 == null) {
            objIframe = document.createElement("IFRAME");
            document.body.insertBefore(objIframe);
            objIframe.outerHTML = "<iframe   name=a1   style='width:0;hieght:0'   src=" + pic1.href + "></iframe>";
            re = setTimeout("savepic()", 1)
        }
        else {
            clearTimeout(re)
            pic = window.open(pic1.href, "a1")
            pic.document.execCommand("SaveAs")
            document.all.a1.removeNode(true)
        }
    }

    </script>
    <style type="text/css">
        span, h3, table, select
        {
            font-family: Arial,微软雅黑,Helvetica,sans-serif;
        }
    </style>
</asp:Content>
